:root {
  /*Global Styles */
  /*Fonts */
  --woo-font-family: var(--e-global-typography-text-font-family);
  --woo-h1: 24px;
  --woo-h2: 24px;
  --woo-h3: 20px;
  --woo-tax-font-size: 10px;

  /*Button */
  --woo-button-background: #544F49;
  --woo-button-border-color: #544F49;
  --woo-button-text-color: #F4EFE9;
  --woo-button-font-size: 16px;
  --woo-button-font-weight: 400;
  --woo-button-text-transform: none;
  --woo-button-border-radius: 00px;
  --woo-button-padding: 10px 25px;

  --woo-button-background-hover: #2F2B2B;
  --woo-button-border-color-hover: #2F2B2B;
  --woo-button-text-color-hover: #F4EFE9;

  /*Colors */
  --woo-link-color: #000;
  --woo-link-text-decoration: underline;

  /*Border / Background */
  --woo-border-color: #544F49;
  --woo-border-width: 1px;
  --woo-container-border-radius: 0px;
  --woo-container-padding: 50px;
  --woo-container-background: transparent;
  --woo-container-box-shadow: none;
  --woo-container-gap: 00px;

  /*Checkbox */
  --woo-checkbox-border-radius: 3px;
  --woo-checkbox-size: 15px;
  --woo-checkbox-border-color: #544F49;

  /*Cart Styles */
  --woo-remove-icon: #cf2e2e;

  /*Qty*/
  --woo-qty-button-background: #F4EFE9;
  --woo-qty-button-border: #F4EFE9;
  --woo-qty-button-border-radius: 0px;
  --woo-qty-input-background: #F4EFE9;
  --woo-qty-input-border: #544F49;
  --woo-qty-input-border-radius: 0px;

  /*Checkout Styles */

  /*Checkout Cart Items*/
  --woo-cart-items-seperator-width: 1px;
  --woo-cart-items-seperator-color: rgba(0, 0, 0, 0.2);
  --woo-cart-items-gap: 10px;

  /*Forms */
  --woo-forms-gap: 20px;

  --woo-form-row-gap: 15px;
  --woo-form-column-gap: 20px;
  --woo-form-row-width: calc(50% - 10px);
  --woo-label-gap: 10px;
  --woo-label-font-size: 16px;
  --woo-label-font-weight: 16px;
  --woo-label-color: #000;
  --woo-label-color-required: #cf2e2e;

  --woo-input-padding: 10px 15px;
  --woo-input-border-radius: 0px;
  --woo-input-border-color: rgba(0, 0, 0, 0.2);
  --woo-input-placeholder-color: rgba(0, 0, 0, 0.2);

  /*Responsive */
  @media (max-width: 1024px) {
    --woo-container-gap: 20px;
    --woo-form-row-width: 100%;
  }
}

.woocommerce {
  * {
    font-family: var(--woo-font-family);
    font-size: 16px;
    line-height: 1.5;
  }
}

/*Links*/
.woocommerce {
  a {
    color: var(--woo-link-color) !important;
    text-decoration: var(--woo-link-text-decoration) !important;
  }
}

/*Global Button Style */
button,
a.checkout-button {
  display: flex;
  height: fit-content;
  width: fit-content;
  background: var(--woo-button-background) !important;
  color: var(--woo-button-text-color) !important;
  border: 1px solid var(--woo-button-border-color) !important;
  font-size: var(--woo-button-font-size) !important;
  font-weight: var(--woo-button-font-weight) !important;
  text-transform: var(--woo-text-transform) !important;
  border-radius: var(--woo-button-border-radius) !important;
  padding: var(--woo-button-padding) !important;
  line-height: 1.5 !important;
  text-decoration: none !important;

  &:hover:not(:disabled) {
    background: var(--woo-button-background-hover) !important;
    color: var(--woo-button-text-color-hover) !important;
    border: 1px solid var(--woo-button-border-color-hover) !important;
  }

  &:disabled {
    opacity: 0.5;

    &:hover {
      cursor: not-allowed;
    }
  }
}

/*Global custom checkbox style */
.custom_checkbox {
  display: flex;
  padding: 2px;
  width: var(--woo-checkbox-size);
  min-width: var(--woo-checkbox-size);
  height: var(--woo-checkbox-size);
  border-radius: var(--woo-checkbox-border-radius);
  border: 1px solid var(--woo-checkbox-border-color);
}

.custom_checkbox {
  img {
    display: none;
  }

  &:has(+ input:checked) {
    background: var(--woo-checkbox-border-color);

    img {
      display: flex;
    }
  }
}

.custom_checkbox+input {
  display: none;
}

.woocommerce-form__label:hover {
  cursor: pointer;
}

/* Shipping Methods in Cart and Checkout*/
.woocommerce-shipping-methods {
  list-style-type: none;
  padding: 0;
  input {
    display: none;
  }
  li {
    display: flex;
    gap: var(--woo-tax-font-size);
    padding-top: 10px;
    align-items: center;
    & + li{
      display: none;
    }
   

    .custom_checkbox {
      display: none;
    }

    &:hover {
      cursor: pointer;
    }
  }

  &:has(li + li) li {
    .custom_checkbox {
      display: flex;
    }
  }
}